Name:           ladspa-tap-plugins
Version:        0.7.0
Release:        15%{?dist}
Summary:        Tom's Audio Processing plugin
License:        GPLv2+
Group:          Applications/Multimedia
URL:            http://tap-plugins.sourceforge.net/
Source0:        http://downloads.sourceforge.net/tap-plugins/tap-plugins-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  ladspa-devel
Requires:       ladspa
Obsoletes:      tap-plugins <= 0.7.0-1
Provides:       tap-plugins = %{version}-%{release}

%description
TAP-plugins is short for Tom's Audio Processing plugins. It is a bunch
of LADSPA plugins for digital audio processing, intended for use in a
professional DAW environment such as Ardour.


%prep
%setup -q -n tap-plugins-%{version}
# use the system version of ladspa.h
%{__rm} ladspa.h
ln -s /usr/include/ladspa.h .


%build
%{__make} %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS -ffast-math -c -fPIC -DPIC"


%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}%{_libdir}/ladspa
%{__make} INSTALL_PLUGINS_DIR=%{buildroot}%{_libdir}/ladspa/ \
          INSTALL_LRDF_DIR=%{buildroot}%{_datadir}/ladspa/rdf/ install


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc COPYING CREDITS README
%{_libdir}/ladspa/*.so
%{_datadir}/ladspa/rdf/*


%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.7.0-5
- Autorebuild for GCC 4.3

* Thu Oct  4 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.7.0-4
- Use system version of ladspa.h

* Wed Oct  3 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.7.0-3
- Various specfile improvements to match the Fedora Packaging Guidelines
- Submit for review for Fedora inclusion

* Mon Apr 16 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.7.0-2
- change name from tap-plugins to ladspa-tap-plugins, build on fc6

* Mon Dec 20 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- spec file cleanup

* Fri Dec  3 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- added proper compilation flags, leave original optimization alone

* Wed Aug 18 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.7.0-1
- updated to 0.7.0

* Sun Jul  4 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.6.0-1
- updated to 0.6.0
- documentation is now on a separate package

* Thu May 13 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.5.0-1
- updated to 0.5.0, added documentation files

* Wed Mar  3 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.2-1
- updated to 0.4.2

* Wed Feb 18 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.0-1
- do not depend on ladspa package explicitly

* Wed Feb  4 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.3.0-1
- updated to 0.3.0

* Thu Jan 29 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.0-1
- initial build
